/*
 * Copyright (C) 2012 Michael Olbrich <m.olbrich@pengutonix.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

#include "moapp.h"
#include "moapplist.h"

#include <QtCore/QDebug>

MoApp::MoApp(QObject *parent) :
	QObject(parent)
{
}

MoApp::~MoApp()
{
}

QString MoApp::name() const
{
	return get("Name");
}

QString MoApp::icon() const
{
	return get("Icon");
}

QString MoApp::fileName() const
{
	return get("X-Moly-File");
}

QString MoApp::element() const
{
	return get("X-Moly-Element");
}

QString MoApp::module() const
{
	return get("X-Moly-Module");
}

QString MoApp::menu() const
{
	return get("X-Moly-Menu");
}

QString MoApp::localeAware() const
{
	return get("X-Moly-LocaleAware");
}

void MoApp::update(const QString &type, const QString &value)
{
	if (m_data.value(type) == value)
		return;
	m_data[type] = value;
	if (type == "Name")
		emit nameChanged(value);
	else if (type == "Icon")
		emit iconChanged(value);
	else if (type == "X-Moly-File")
		emit fileNameChanged(value);
	else if (type == "X-Moly-Element")
		emit elementChanged(value);
	else if (type == "X-Moly-Module")
		emit moduleChanged(value);
	else if (type == "X-Moly-Menu")
		emit menuChanged(value);
	else if (type == "X-Moly-LocaleAware")
		emit localeAwareChanged(value);
}

QString MoApp::get(const QString &type) const
{
	return m_data.value(type);
}

bool MoApp::contains(const QString &type) const
{
	return m_data.contains(type);
}

void MoApp::clear()
{
	m_data.clear();
}

