# -*-makefile-*-
#
# Copyright (C) 2012 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MX6_DEMO) += mx6-demo

#
# Paths and names
#
MX6_DEMO_VERSION	:= master
MX6_DEMO		:= mx6-demo
MX6_DEMO_URL		:= file://local_src/$(MX6_DEMO)
MX6_DEMO_DIR		:= $(BUILDDIR)/$(MX6_DEMO)
MX6_DEMO_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

MX6_DEMO_CONF_TOOL	:= NO

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/mx6-demo.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mx6-demo.install:
	@$(call targetinfo)
	rm -rf "$(MX6_DEMO_PKGDIR)"
	install -d "$(MX6_DEMO_PKGDIR)/usr/imports/mx6-demo"
	cp -a "$(MX6_DEMO_DIR)/"* \
		"$(MX6_DEMO_PKGDIR)/usr/imports/mx6-demo/"
	install -D -m 644 "$(MX6_DEMO_DIR)/mx6-demo.service" \
		"$(MX6_DEMO_PKGDIR)/lib/systemd/system/mx6-demo.service"
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mx6-demo.targetinstall:
	@$(call targetinfo)

	@$(call install_init, mx6-demo)
	@$(call install_fixup, mx6-demo,PRIORITY,optional)
	@$(call install_fixup, mx6-demo,SECTION,base)
	@$(call install_fixup, mx6-demo,AUTHOR,"Michael Olbrich <m.olbrich@pengutronix.de>")
	@$(call install_fixup, mx6-demo,DESCRIPTION,missing)

	@$(call install_tree, mx6-demo, 0, 0, -, /usr)

	@$(call install_alternative, mx6-demo, 0, 0, 0644, \
		/lib/systemd/system/mx6-demo.service)
	@$(call install_link, mx6-demo, ../mx6-demo.service, \
		/lib/systemd/system/sysinit.target.wants/mx6-demo.service)

	@$(call install_alternative, mx6-demo, 0, 0, 0755, \
		/lib/systemd/system-setup-fb)
	@$(call install_finish, mx6-demo)

	@$(call touch)

# vim: syntax=make
